class PilotNet(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  ln_1 : __torch__.torch.nn.modules.batchnorm.BatchNorm2d
  cn_1 : __torch__.torch.nn.modules.conv.Conv2d
  relu1 : __torch__.torch.nn.modules.activation.ReLU
  cn_2 : __torch__.torch.nn.modules.conv.___torch_mangle_0.Conv2d
  relu2 : __torch__.torch.nn.modules.activation.___torch_mangle_1.ReLU
  cn_3 : __torch__.torch.nn.modules.conv.___torch_mangle_2.Conv2d
  relu3 : __torch__.torch.nn.modules.activation.___torch_mangle_3.ReLU
  cn_4 : __torch__.torch.nn.modules.conv.___torch_mangle_4.Conv2d
  relu4 : __torch__.torch.nn.modules.activation.___torch_mangle_5.ReLU
  cn_5 : __torch__.torch.nn.modules.conv.___torch_mangle_6.Conv2d
  relu5 : __torch__.torch.nn.modules.activation.___torch_mangle_7.ReLU
  flatten : __torch__.torch.nn.modules.flatten.Flatten
  fc_1 : __torch__.torch.nn.modules.linear.Linear
  relu_fc1 : __torch__.torch.nn.modules.activation.___torch_mangle_8.ReLU
  fc_2 : __torch__.torch.nn.modules.linear.___torch_mangle_9.Linear
  relu_fc2 : __torch__.torch.nn.modules.activation.___torch_mangle_10.ReLU
  fc_3 : __torch__.torch.nn.modules.linear.___torch_mangle_11.Linear
  relu_fc3 : __torch__.torch.nn.modules.activation.___torch_mangle_12.ReLU
  fc_4 : __torch__.torch.nn.modules.linear.___torch_mangle_13.Linear
  relu_fc4 : __torch__.torch.nn.modules.activation.___torch_mangle_14.ReLU
  fc_5 : __torch__.torch.nn.modules.linear.___torch_mangle_15.Linear
  def forward(self: __torch__.utils.pilotnet.PilotNet,
    img: Tensor) -> Tensor:
    fc_5 = self.fc_5
    relu_fc4 = self.relu_fc4
    fc_4 = self.fc_4
    relu_fc3 = self.relu_fc3
    fc_3 = self.fc_3
    relu_fc2 = self.relu_fc2
    fc_2 = self.fc_2
    relu_fc1 = self.relu_fc1
    fc_1 = self.fc_1
    flatten = self.flatten
    relu5 = self.relu5
    cn_5 = self.cn_5
    relu4 = self.relu4
    cn_4 = self.cn_4
    relu3 = self.relu3
    cn_3 = self.cn_3
    relu2 = self.relu2
    cn_2 = self.cn_2
    relu1 = self.relu1
    cn_1 = self.cn_1
    ln_1 = self.ln_1
    _0 = (cn_1).forward((ln_1).forward(img, ), )
    _1 = (cn_2).forward((relu1).forward(_0, ), )
    _2 = (cn_3).forward((relu2).forward(_1, ), )
    _3 = (cn_4).forward((relu3).forward(_2, ), )
    _4 = (cn_5).forward((relu4).forward(_3, ), )
    _5 = (flatten).forward((relu5).forward(_4, ), )
    _6 = (relu_fc1).forward((fc_1).forward(_5, ), )
    _7 = (relu_fc2).forward((fc_2).forward(_6, ), )
    _8 = (relu_fc3).forward((fc_3).forward(_7, ), )
    _9 = (relu_fc4).forward((fc_4).forward(_8, ), )
    return (fc_5).forward(_9, )
